# std::vector::capacity

From cppreference.com
< cpp‎ | container‎ | vector

size_type capacity() const; |  |

Returns the number of elements that the container has currently allocated space for.

### Parameters

(none)

### Return value

Capacity of the currently allocated storage.

### Exceptions

(none) | (until C++11)
`noexcept` specification: noexcept | (since C++11)

### Complexity

Constant.

### See also

size | returns the number of elements (public member function)
reserve | reserves storage (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/container/vector/capacity&oldid=67634"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template